MySQL upgrade from 5.1 to 5.6 failed on Windows: The installation of the package 'mysql56-server-configurator' failed with code 1603

Refers to:

  • Plesk 12.5 for Windows

Created:

2016-11-16 12:46:13 UTC

Modified:

2016-12-21 19:10:18 UTC

0

Was this article helpful?


Have more questions?

Submit a request

MySQL upgrade from 5.1 to 5.6 failed on Windows: The installation of the package 'mysql56-server-configurator' failed with code 1603

Symptoms

MySQL upgrade from 5.1 to 5.6 failed on Windows with similar error:

Failed to install 'C:\\ParallelsInstaller\\parallels\\PANEL-WIN_12.5.30\\dist-msi-Microsoft-2003-i386\\mysql56-server-configurator.msi': Fatal error during installation. (Error code 1603)
Action '<install-msi-package command-line="ADDLOCAL=ALL ALLUSERS=1 ARPSYSTEMCOMPONENT=1 REBOOT=R" />' failed with error 1603(0x00000643)
Error: The installation of the package 'mysql56-server-configurator' failed with code 1603. (install: configuring MySQL 5.6 server...)
Not all packages were installed.
Please, contact product technical support.

MySQL56 service appeared in Windows services, but it fails to start.

In autoinstaller3.log file, located at C:/ParallelsInstaller/ folder, the following error can be found:

Errors in MySQL error log file:

2015-11-17 19:36:27 15604 [ERROR] C:\\Program Files\\MySQL\\MySQL Server 5.6\\bin\\mysqld.exe: unknown variable 'log_slow_queries=ON'

2015-11-17 19:36:27 15604 [ERROR] Aborting

Cause

Bug PPPM-3572 . It is fixed in Plesk Onyx.

Resolution

Upgrade to the latest Plesk version .

If upgrade is not possible:

  1. Remove deprecated variable manually from "%plesk_dir%\\Databases\\MySQL\\data\\my.ini file.
  2. Continue installation using Plesk autoinstaller.

Note: If upgrade can not be continued and MySQL 5.6 marked as installed, check registry settings using article [KB #213958385] Plesk does not recognize MySQL 5.6 and stops it after upgrade from version 5.1

Have more questions? Submit a request
Please sign in to leave a comment.